Bug 10200 - smbclient does not support DFS shares with SMB2/3
smbclient does not support DFS shares with SMB2/3
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: libsmbclient
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-13 15:22 UTC by Stefan Metzmacher
Modified: 2014-03-25 09:22 UTC (History)
2 users (show)

See Also:


Attachments
Patches for v4-1-test (36.47 KB, patch)
2014-01-14 09:59 UTC, Stefan Metzmacher
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2013-10-13 15:22:58 UTC
smbclient does support DFS shares with SMB2/3
Comment 1 Michael Adam 2013-10-17 13:54:00 UTC
*not* ;-)
Comment 2 Stefan Metzmacher 2014-01-14 09:59:43 UTC
Created attachment 9592 [details]
Patches for v4-1-test
Comment 3 Björn Baumbach 2014-01-14 11:47:05 UTC
(In reply to comment #2)
> Created attachment 9592 [details]
> Patches for v4-1-test

I've successfully verified that smbclient supports access to dfs shares over smb2/3 using this patch.
Comment 4 Stefan Metzmacher 2014-01-31 21:03:30 UTC
ping
Comment 5 Michael Adam 2014-02-27 11:55:49 UTC
Comment on attachment 9592 [details]
Patches for v4-1-test

LGTM
Comment 6 Michael Adam 2014-02-27 11:56:45 UTC
Karolin, please pick for 4.1.NEXT
Comment 7 Karolin Seeger 2014-03-10 15:10:44 UTC
Pushed to autobuild-v4-1-test.
Comment 8 Karolin Seeger 2014-03-25 09:22:23 UTC
Pushed to v4-1-test.
Closing out bug report.

Thanks!